Subject: Re: bug#30548: 2014-11-01; smartparen-latex with delete-selection-mode

From: Arash Esbati <[email-masked]>
Date: Thu, 22 Feb 2018 21:07:13 +0100

Abdul-Lateef Haji-Ali <[email-masked]> writes:

> In my emacs setup, if I have smartparens-mode enabled with
> smartparens-latex and I open a latex document, type some text then
> select it and type any latex special command (such as $, ", \{, etc...)
> the text gets surrounded by these symbols as expected.
>
> However, if I have delete-selection-mode enabled, then the text is
> deleted instead. Other symbols like {, (, [ still work as expected even
> when delete-selection-mode is enabled.
>
> The weird thing is that this used to work flawlessly before a recent
> update that I cannot quite track. In fact a question was posted here
> https://emacs.stackexchange.com/questions/21315/delete-selection-mode-and
>
> in 2016 and an update to AUCTeX was supposed to fix this issue.
> [...]
> Emacs  : GNU Emacs 24.5.1 (x86_64-pc-linux-gnu, GTK+ Version 3.18.9)
>  of 2017-09-20 on lcy01-07, modified by Debian
> Package: 2014-11-01
           ^^^^^^^^^^

Hi,

can you tell the version of your AUCTeX before your recent update?
Currently, you are using an AUCTeX from 2014.

Maybe you can update AUCTeX manually from ELPA with `M-x list-packages
RET U x' to version 12.1.0 and try it again.

Best, Arash